/* Copyright 2025 by COG9 Enterprises LLC
 * All rights reserved.
 * Title: ds1340.h
 * Author: Jed Marti KI7NNP
 * Description: Interface for the RTC.
 * Created: Sun Oct  5 08:33:31 2025
 * Revision History:
 */

#ifndef ds1340_h
#define ds1340_h


// Chip 7 bit address.
#define DS1340Z 0x68

// Prototypes
void initDateTime(void);

// Binary retrieval.
void getDateTime(uint8_t *obuf);

// ASCII
void ctimec(uint8_t *obuf, uint8_t *dt);
void ctime(uint8_t *obuf);

#endif
